gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container Base class for containers that have two children separated by an adjustable pane.

This class provides methods for manipulating a panel with 2 child widgets, separated by a splitter. The concrete widgets that extend from this class are for a vertical splitter, and for a horizontal splitter.

A paned widget draws a separator between the two child widgets that the user can drag to adjust the division.

Each child widget has two options that can be set, and , (set with the and methods). If resize is , then when the Paned is resized, the respective child will expand or shrink along with the paned widget. If shrink is , then the respective child can be made smaller than it's requisition by the user. Setting shrink to allows the application to set a minimum size. If resize is for both children, then this exhibits exactly the same behaviour as if resize is for both children.

The application can set the position of the slider as if it were set by the user with the property.

`public Widget GetExampleFrame() { HPaned splitter = new HPaned(); Frame frame1 = new Frame("Example frame1"); Frame frame2 = new Frame("Example frame2"); splitter.Pack1(frame1, true, false); splitter.Pack2(frame2, false, false); splitter.ShowAll(); return splitter; }`

- Constructor
  2.12.0.0
  Default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("accept_position")
  Gtk.AcceptPositionHandler Emitted when the paned has focus This signal is emitted when paned has the focus and any of the Return, Enter, Space keys are pressed. This will also cause the child widget with the focus to be activated.
- Method
  2.12.0.0
  System.Void `` A widget for this container to manage. Adds a child widget into the first part of the Paned container, (the top or left panes), with default packing settings.

  This is the same as calling with resize set to and shrink set to .

- Method
  2.12.0.0
  System.Void `` A widget for this container to manage. Adds a child widget into the second part of the Paned container, (the bottom or right panes), with default packing settings.

  This is the same as calling with resize set to and shrink set to .

- Event
  2.12.0.0
  GLib.Signal("cancel_position")
  Gtk.CancelPositionHandler Emitted when the Esc key is pressed while paned has the focus.
- Property
  2.12.0.0
  Gtk.Widget An accessor to the first child widget of this container The child widget added with or .
- Property
  2.12.0.0
  Gtk.Widget An accessor to the second child widget of this container The child widget added with or .
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` A A A Determines the position of the pane separator based on the size and shrinkability of the widget's children.
- Event
  2.12.0.0
  GLib.Signal("cycle_child_focus")
  Gtk.CycleChildFocusHandler Emitted when F6 or Shift-F6 is pressed while paned has the focus.
- Event
  2.12.0.0
  GLib.Signal("cycle_handle_focus")
  Gtk.CycleHandleFocusHandler Emitted when paned has the focus and one of the tab key combinations are pressed. This signal is emitted when paned has the focus and any of the Tab, Ctrl-Tab, Shift-Tab or Ctrl-Shift-Tab keys combinations are pressed. Tab and Ctrl-Tab set reversed to while Shift-Tab and Ctrl-Shift-Tab set reversed to .
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("max-position")
  System.Int32 The largest possible value for the position property. This property is derived from the size and shrinkability of the widget's children. a
- Property
  2.12.0.0
  GLib.Property("min-position")
  System.Int32 The smallest possible value for the position property. This property is derived from the size and shrinkability of the widget's children. a
- Event
  2.12.0.0
  GLib.Signal("move_handle")
  Gtk.MoveHandleHandler Emitted when paned has the focus and the separator is moved.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAcceptPosition", Type=typeof(Gtk.Paned))
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCancelPosition", Type=typeof(Gtk.Paned))
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCycleChildFocus", Type=typeof(Gtk.Paned))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCycleHandleFocus", Type=typeof(Gtk.Paned))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveHandle", Type=typeof(Gtk.Paned))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleHandleFocus", Type=typeof(Gtk.Paned))
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` `` A widget for this container to manage. Whether this child should expand when the Paned widget is resized. Whether this child can be made smaller than its default size by the user. Packs a child widget into the first part of the Paned container, (the top or left panes).
- Method
  2.12.0.0
  System.Void `` `` `` A widget for this container to manage. Whether this child should expand when the Paned widget is resized. Whether this child can be made smaller than its default size by the user. Packs a child widget into the second part of the Paned container, (the bottom or right panes).
- Property
  2.12.0.0
  GLib.Property("position")
  System.Int32 Manage the position of the splitter bar that separates the 2 child widgets. The current position ofh
- Property
  2.12.0.0
  GLib.Property("position-set")
  System.Boolean Whether the position property (related to and ) should be used. an object of type
- Event
  2.12.0.0
  GLib.Signal("toggle_handle_focus")
  Gtk.ToggleHandleFocusHandler Emitted when paned has the focus and F8 is pressed to give the focus to or take the focus from the separator handle.